not found npm module

I can’t find my package below in npm.runkit.com

@dripjs/bitmex
@dripjs/types
@dripjs/exchanges
@dripjs/common
@dripjs/intelligence
image.png

Can someone help me solve this problem?

2 Likes

Hi there!

We’re really sorry, right now scoped modules on npm are not being processed.

We’re actively working on it and I’ll get you an update as soon as I can!

- Randy

1 Like

I really wish you could have actively notified users about this in RunKit! If you detect a scoped package being used you should pop up a warning linking to some post explaining that scoped packages are not working at the moment. I have been waiting, posting to Twitter all week, and pushing new versions in the hopes of being able to import it. I even tweeted you guys (but no response).

This is the first mention I have seen on this.

I’ll be following this thread for updates (unless there is some official channel you post updates and issues).

I do apologize for the poor communication. We’re a small team of engineers and we do our best, but it’s often difficult to field all the support inquiries we receive on various mediums.

We’re actively working on the issue and someone will update here when we can.

- Randy

1 Like

I totally understand that, Randy, and I don’t expect you to be available on all SoMe channels either. But I would think that you would save yourself some enquiries if you gave information on your number one channel: the actual product of RunKit!

As in, if someone pastes in var foo = require("@myorg/dapkg") you would catch that with a regex and alert the user via a modal error dialogue or something:
“We arre currently experiencing issues with scoped packages and are working hard at fixing the issue. Please see status.runkit.com for updates from our team”.

That would both tell users of the error and give them a place to check for updates without pestering you in message boards and twitter. Low cost, high yield :wink:

Just wanted to update this thread. We’ve finished processing the the backload of packages. All the packages listed in the first post here are now up to date.

We’re sorry for the inconvenience. Please let us know if you run into any other problems!

Thank you,
- Randy